Commit 9ca81004 authored by Eugen Rochko's avatar Eugen Rochko

Upgrade create-react-app from 0.9.5 to 2.0.3

parent 520243df
......@@ -7,6 +7,7 @@
"classnames": "^2.2.5",
"fuzzysearch": "^1.0.3",
"gh-pages": "^0.12.0",
"node-sass": "^4.11.0",
"react": "^15.5.3",
"react-custom-scrollbars": "^4.1.2",
"react-dom": "^15.5.3",
......@@ -30,17 +31,13 @@
"babel-cli": "^6.26.0",
"babel-plugin-react-intl": "^2.3.1",
"babel-preset-react-app": "^3.0.2",
"node-sass": "^4.5.2",
"npm-run-all": "^4.1.1",
"react-intl-translations-manager": "^5.0.0",
"react-scripts": "0.9.5"
"react-scripts": "2.0.3"
},
"scripts": {
"build-css": "node-sass src/ -o src/",
"watch-css": "npm run build-css && node-sass src/ -o src/ --watch --recursive",
"start-js": "react-scripts start",
"start": "npm-run-all -p watch-css start-js",
"build": "npm run build-css && react-scripts build && react-snapshot",
"start": "react-scripts start",
"build": "react-scripts build && react-snapshot",
"test": "react-scripts test --env=jsdom",
"eject": "react-scripts eject",
"predeploy": "npm run build",
......@@ -51,5 +48,11 @@
},
"eslintConfig": {
"extends": "react-app"
}
},
"browserslist": [
">0.2%",
"not dead",
"not ie <= 11",
"not op_mini all"
]
}
......@@ -5,7 +5,7 @@ import { createStore, applyMiddleware, compose } from 'redux';
import thunk from 'redux-thunk';
import reducer from './reducer';
import AppContainer from './AppContainer';
import './index.css';
import './index.scss';
const composeEnhancers = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ || compose;
const store = createStore(reducer, composeEnhancers(applyMiddleware(thunk)));
......
This diff is collapsed.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment